\name{duration-class}
\alias{token-class}
\docType{class}
\alias{duration-class}

\title{Classes for built-in SOAP data types}
\description{
  XML Schema and SOAP uses several built-in types
  which are extensions or restrictions
  of the basic R type.
  These classes represent these XML Schema/SOAP types in R.
  Precise definitions for the possible values
  of the data types of each class can be found
  in the SOAP specification
  at   \url{http://www.w3.org/TR/2001/REC-xmlschema-2-20010502/}.
  More informal and intuitive descriptions can be found
  in tutorials on the Web such as
  \url{http://www.w3schools.com/schema/schema_dtypes_string.asp}.

  The \code{token} type is essential a string
  but with white space cleaned up, i.e.
  multiple spaces reduced to a single space,
  new lines and control feeds eliminated,
  as are tabs, and not leading or trailing white space.
  
  A duration is given as a string providing
  the number of years, months, days and
  potentially hours, minutes and seconds.
  
}
\section{Objects from the Class}{

}
\section{Slots}{
	 \describe{
           A token is merely a character vector with a pre-processing
	   step that converts its contents to a token.

	   The duration is not fully implemented at this point.
	   It will resemble the POSIXlt class with fields in a list
	   for the years, months, days, hours, minutes and seconds.
  }
}
\section{Extends}{
token:
 Class \code{"\linkS4class{character}"}, from data part.
 Class \code{"\linkS4class{vector}"}, by class "character", distance 2.

duration:
extends data.frame and has six fields/columns named
years, months, days, hours, minutes, seconds.
}
\section{Methods}{
No methods defined with class "duration" in the signature.
}
\references{\url{http://www.w3.org/TR/2001/REC-xmlschema-2-20010502/}}
\author{Duncan Temple Lang}

\seealso{
  \code{\link{processWSDL}}
  \code{SSOAP:::.SOAPDefaultTypes}
}
\examples{
}
\keyword{classes}
